import { expect, tap } from '@pushrocks/tapbundle';
import * as smartmongo from '../ts/index.js';

let smartmongoInstance: smartmongo.SmartMongo;

tap.test('should create a mongo instance', async () => {
  smartmongoInstance = await smartmongo.SmartMongo.createAndStart();
});

tap.test('should stop the instance', async () => {
  await smartmongoInstance.stopAndDumpToDir('.nogit/');
})

tap.start();
